﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>
<%@ Import Namespace="SpiceLogic.PayPalCtrlForWPS.Controls" %>
<%@ Import Namespace="System.Drawing" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Index
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Welcome to SpiceLogic Landscape showroom.</h2>The following button is for testing a single item in Encrypted mode. 
    We have created a set of test certificates 
    for you. These credentials will work only for one of our sandbox account "spicelogic@spicelogic.com". So, if you change the
     BusinessEmailOrMerchantID then you should generate your own certificates and test accordingly. You can generate your 
     certificates using the FREE tool we provided with this product. Please check the Start Menu -> (our product name) -> Certificate Generator.
    In order to learn about generating EWP, please visit our online documentation at <a href="http://documentation.spicelogic.com/docs/ASP-NET-PayPal-Control/Getting-Started-21">http://documentation.spicelogic.com/docs/ASP-NET-PayPal-Control/Getting-Started-21</a>
    <br />
    <br />
      <p>
       <%
   
        BuyNowButton myBuyNowButton = new BuyNowButton
        {
            BusinessEmailOrMerchantID = "spicelogic@spicelogic.com",
            ItemName = ViewData["Item Name"].ToString(),
            ItemNumber = "Scenery 123",
            Quantity = Convert.ToInt32(ViewData["Quantity"]),
            Amount = Convert.ToDecimal(ViewData["Price"]),
            DiscountRate = 55
        };
       
        myBuyNowButton.PayPalFormSubmission.PostDestination = 
            FormSubmissionSettings.PostActionDestinations.PayPal_Sandbox;

        myBuyNowButton.PayPalDisplayPage.ShippingAddress =
            PayPalDisplayPageSettings.ShippingAddressOptions.ShippingAddressOptional;
        myBuyNowButton.PayPalDisplayPage.HeaderBorderColor = Color.Red;
        myBuyNowButton.PayPalDisplayPage.HeaderBgColor = Color.LightYellow;
        myBuyNowButton.PayPalDisplayPage.PayFlowBgColor = Color.LightSteelBlue;
        myBuyNowButton.PayPalDisplayPage.HeaderImageURL = "~/Content/images/SpiceLogicBanner.jpg";

        myBuyNowButton.GenerateEncryptedButton = true;
        myBuyNowButton.EncryptedButtonGeneration.CertificateId = "45GA3BENSYUWE";
        myBuyNowButton.EncryptedButtonGeneration.PKCS12Password = "1234";
        myBuyNowButton.EncryptedButtonGeneration.PayPalCertPath = "~/App_Data/paypal_cert_pem.txt";
        myBuyNowButton.EncryptedButtonGeneration.PKCS12CertPath = "~/App_Data/myPkcs.p12";

        myBuyNowButton.AdditionalDataItems["Customer's Name"] = "James Paul";              
    %>
       <%= myBuyNowButton.RenderForMVC() %>
</p>

    <p>
       <%
           
           using (Html.BeginForm("UpdateQuantity", "GeneratingEWP", FormMethod.Post))
           {
       %>
              <%= Html.Hidden("itemName", myBuyNowButton.ItemName)%>   
              <%= Html.Hidden("price", myBuyNowButton.Amount)%>
            
            Enter Quantity : <%= Html.TextBox("quantity") %> <input id="Submit1" type="submit" value="Update" />
      <%
          }     
      %>
   </p>
</asp:Content>
