﻿Namespace Controllers
    Public Class GeneratingEWPController
        Inherits System.Web.Mvc.Controller

        '
        ' GET: /GeneratingEWP/

        Public Function Index() As ActionResult
            ViewData("Item Name") = "Beautiful Landscape"
            ViewData("Quantity") = 2
            ViewData("Price") = 4.32
            Return View()
        End Function


        ''' <summary>
        ''' Updates the quantity.
        ''' </summary>
        ''' <param name="quantity">The quantity.</param>
        ''' <param name="itemName">Name of the item.</param>
        ''' <param name="price">The price.</param>
        ''' <returns></returns>
        <HttpPost()> _
        Public Function UpdateQuantity(ByVal quantity As Integer, ByVal itemName As String, ByVal price As Decimal) As ActionResult
            ViewData("Quantity") = quantity
            ViewData("Item Name") = itemName
            ViewData("Price") = price
            Return View("Index")
        End Function
    End Class
End Namespace