﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DedicatedPayPalReturnHandler.aspx.cs" Inherits="DedicatedPayPalReturnHandler" %>

<%@ Register Assembly="SpiceLogicPayPalStd" Namespace="SpiceLogic.PayPalCtrlForWPS.Controls"
    TagPrefix="cc1" %>
 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
    
    <asp:MultiView ID="MultiViewMyShop" runat="server" ActiveViewIndex="0" >
            <asp:View ID="ViewPaymentCompleted" runat="server">
                <br />
                <asp:Label ID="lblThanks" runat="server" Font-Bold="True" 
                    Text="Thank you Message"></asp:Label>
                <br />
                <br />
                <span>Payment Result : </span>
                <asp:Label ID="lblResult" runat="server"></asp:Label>
                <br />
                <strong><span style="font-size: 9pt; color: #cc6633; font-family: Verdana">
                Transaction ID&nbsp; : &nbsp;</span></strong><asp:Label ID="lblTransactionID" 
                    runat="server"></asp:Label>
                <br />
                <br />
                <span style="font-size: 9pt; font-family: Verdana">Please note, if you did not 
                provide a valid <span style="color: #000000">PDT Authentication Token</span>, 
                the following PDT variables will hold Empty String.<br />
                <br />
                Buyer&#39;s Email :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span>
                <asp:Label ID="lblBuyerEmail" runat="server"></asp:Label>
                <br />
                <br />
                <span style="font-size: 9pt; font-family: Verdana">Number of Cart Items :&nbsp;
                <asp:Label ID="lblNumberCartItems" runat="server"></asp:Label>
                <br />
                </span>Total <span style="font-size: 9pt; font-family: Verdana">Paid Amount 
                :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span>
                <asp:Label ID="lblPaidAmount" runat="server"></asp:Label>
                <br />
                <br />
                <asp:HyperLink ID="lnkDownloadLandscape" runat="server" 
                    NavigateUrl="~/Images/Landscape_Purchased.jpg" Visible="False">Please download your purchased Landscape</asp:HyperLink>
                <br />
                <br />
                <asp:Button ID="btnReadIPNData" runat="server" onclick="btnReadIPNData_Click" 
                    Text="Read the data that was written in your App_Data folder in IPN Session" 
                    Width="441px" />
                <br />
                <asp:TextBox ID="txtIPNData" runat="server" Height="99px" ReadOnly="True" 
                    TextMode="MultiLine" Width="445px"></asp:TextBox>
                <br />
                <asp:Label ID="lblIPNReadStatus" runat="server"></asp:Label>
                <br />
            </asp:View>
            <asp:View ID="ViewPaymentCancelled" runat="server">
                <asp:Label ID="lblHelloName" runat="server" Font-Size="XX-Large" 
                    Text="Hello !!"></asp:Label>
                <br />
                <br />
                <asp:Label ID="Label6" runat="server" Font-Size="XX-Large" Text="Your payment was cancelled."></asp:Label>
                <br />
            </asp:View>
        </asp:MultiView>
        <br />
        <br />
         <cc1:PayPalReturnHandler ID="PayPalReturnHandler1" runat="server"
         onpaypal_returned="PayPalReturnHandler1_PayPal_Returned" 
            NotifySyncDestination="PayPal_Sandbox" PDTAuthenticationToken="IoSLdmDHmJZ9K2K98zASAG4y_DNx_MwgLMgGrF2gzrCwRnNo3VlU_bAw2DK"
        ></cc1:PayPalReturnHandler>
        <br />
                    <asp:Label ID="Label10" runat="server" Height="82px" 
                        Text="Please note that, if you do not provide PDT Authentication Token, you wont get any transaction data returned by PayPal. PDT Authentication Token can be set only in design time by the GUI Button Wizard and the Wizard is available in the Smart Tag. PDT Authentication Token is stored in Web.Config file. Also note that, Trial version will use SandBox url to perform notification synchronization." 
                        Width="736px"></asp:Label>
                   
                   
                   
                    <br />
        <br />
        This page is used to host the PayPal_Returned logic for the Add To 
        Cart Button used in this project. If you handle the PayPal_Returned event of your 
        Payment Button (i.e. Buy Now Button, Donation Buttion, Subscription Button, 
        Upload Complete Cart Button) then you really do not need to use 
        PayPalReturnHandler 
        Component at all. This component is useful when you want to practice mediator 
        design pattern like using a common place for hosting all PaymentButton&#39;s 
        PayPal Return related logic of your web application. Please visit the following 
        documentation link for learning details about this component.about this component.<br />
        <br />
        <asp:HyperLink ID="HyperLink1" runat="server" Font-Names="Verdana" 
            
            
            NavigateUrl="http://documentation.spicelogic.com/docs/ASP-NET-PayPal-Control/PayPal-Return-Handler-20">Documentation 
        : Returned Handler</asp:HyperLink>

    </div>
    </form>
</body>
</html>
