﻿<%@ Page Language="VB" AutoEventWireup="true" CodeFile="UploadingItemsToPayPalFrom3rdPartyShoppingCart.aspx.vb" Inherits="UploadingItemsToPayPalFrom3rdPartyShoppingCart" %>
<%@ Register Assembly="SpiceLogicPayPalStd" Namespace="SpiceLogic.PayPalCtrlForWPS.Controls" TagPrefix="cc2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title></title>
    <style type="text/css">
        .style1
        {
            color: black;
            cursor: default;
        }
        .style4
        {
            color: #000099;
        }
        .style2
        {
            text-decoration: underline;
        }
        </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:MultiView ID="MultiViewMyShop" runat="server" ActiveViewIndex="0" >
            <asp:View ID="ViewBuyNow" runat="server">
                    This sample application shows how you can use UploadCompleteCart button control 
                    to transfer your 3rd party shopping cart items to the PayPal hosted shopping 
                    cart.
                    <br />
                    In order to simulate a 3rd party shopping cart, we use a gridView which shows a 
                    list of eBooks. This GridView is populated from the xml file named eBooks.xml 
                    stored
                    <br />
                    in ~/App_Data/ folder. Assume that these eBooks are already added to your own 
                    shopping cart, now it is time to transfer these cart items to PayPal Shopping 
                    Cart.<br />
                    <br />
                    We use the Click event handler of the UploadCompleteCartButton to do this 
                    transferring job. Please look into the code behind file of this page for example 
                    usage.<br />
                    <br />
                    By the way, we have used the AdditionalDataItems collection to assign a Cart 
                    Name for this UploadCompleteCartButton. Please check the property 
                    &#39;AdditionalDataItems&#39;<br /> from the property browser in Design Time and see how 
                    the AdditionalDataItems feature is used.<br />
                    <br />
                    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
                        BackColor="White" BorderColor="#E7E7FF" BorderStyle="None" BorderWidth="1px" 
                        CellPadding="3" DataKeyNames="id" DataSourceID="XmlDataSource1" 
                        EmptyDataText="There are no data records to display." GridLines="Horizontal" 
                        Width="489px">
                        <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
                        <Columns>
                            <asp:BoundField DataField="title" HeaderText="title" InsertVisible="False" 
                                ReadOnly="True" SortExpression="title" />
                            <asp:BoundField DataField="author" HeaderText="author" InsertVisible="False" 
                                ReadOnly="True" SortExpression="author" />
                            <asp:BoundField DataField="price" HeaderText="price" InsertVisible="False" 
                                ReadOnly="True" SortExpression="price" />
                        </Columns>
                        <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
                        <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
                        <SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
                        <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
                        <AlternatingRowStyle BackColor="#F7F7F7" />
                    </asp:GridView>
                    <br />
                    <cc2:UploadCompleteCartButton ID="UploadCompleteCartButton1" runat="server" 
                        BusinessEmailOrMerchantID="7VYHPUUWHHTLA" 
                        onclick="UploadCompleteCartButton1_Click" 
                        onipn_notified="UploadCompleteCartButton1_IPN_Notified" 
                        onpaypal_returned="UploadCompleteCartButton1_PayPal_Returned" 
                        ZIgnore="05/03/2011 11:51:27 PM">
                        <AdditionalDataItems>
                            <cc2:AdditionalData Name="Cart Name" Value="eBooks" />
                        </AdditionalDataItems>
                        <PayPalReturn PDTAuthenticationToken="IoSLdmDHmJZ9K2K98zASAG4y_DNx_MwgLMgGrF2gzrCwRnNo3VlU_bAw2DK" />
                        <PayPalFormSubmission PostActionUrl="https://www.sandbox.paypal.com/cgi-bin/webscr" 
                            PostDestination="PayPal_Sandbox" />
                    </cc2:UploadCompleteCartButton>
                    <br />
                    <asp:XmlDataSource ID="XmlDataSource1" runat="server" 
                        DataFile="~/App_Data/eBooks.xml" XPath="eBooks/book"></asp:XmlDataSource>
                    <br />
                    Trial version works only with PayPal SANDBOX. Once License Key is applied, it 
                    will work with Live PayPal site or any URL of your choice.
                    <br />
                    Before starting to test this 
                    website, visit
                    <asp:HyperLink ID="HyperLink1" runat="server" 
                        NavigateUrl="https://developer.paypal.com" Target="_blank">https://developer.paypal.com</asp:HyperLink>
                    &nbsp;this page and login to your Developer Central Account.
                    <br />
                    If you do not have any account with PayPal Developer Central, please create an 
                    account.<br />
            </asp:View>
            <asp:View ID="ViewPaymentCompleted" runat="server">
                <br />
            <asp:Label ID="lblThanks" runat="server" Text="Thank you Message" Font-Bold="True"></asp:Label><br />
            <br />
            <span>Payment Result : </span>
            <asp:Label ID="lblResult" runat="server"></asp:Label><br />
                <strong><span style="font-size: 9pt; color: #cc6633; font-family: Verdana">
            Transaction ID&nbsp; : &nbsp;</span></strong><asp:Label ID="lblTransactionID" 
                    runat="server"></asp:Label><br />
                <asp:Label ID="Label7" runat="server" Text="Shopping Cart Name : "></asp:Label>
                <asp:Label ID="lblCartName" runat="server"></asp:Label>
                <br />
            <br />
            <span style="font-size: 9pt; font-family: Verdana">Please note, if you did not provide
                a valid <span style="color: #000000">PDT Authentication Token</span>,
                the following PDT variables will hold Empty String.<br />
                <br />
                Buyer&#39;s Email :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span>
            <asp:Label ID="lblBuyerEmail" runat="server"></asp:Label>
                <br />
                <br />
                <span style="font-size: 9pt; font-family: Verdana">Number of Cart Items :&nbsp;
                <asp:Label ID="lblNumberCartItems" runat="server"></asp:Label>
                <br />
                </span>Total
            <span style="font-size: 9pt; font-family: Verdana">Paid Amount :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span>
                <asp:Label ID="lblPaidAmount" runat="server"></asp:Label><br />
            <span style="font-size: 9pt; font-family: Verdana">Total quantity sold :&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; </span>
                <asp:Label ID="lblQuantity" runat="server"></asp:Label><br />
            <br />
            <asp:HyperLink ID="lnkDownloadLandscape" runat="server" Visible="False" 
                   >Please download your purchased Landscape</asp:HyperLink><br />
                <br />
                <asp:Button ID="btnReadIPNData" runat="server" onclick="btnReadIPNData_Click" 
                    Text="Read the data that was written in your App_Data folder in IPN Session" 
                    Width="441px" />
                <br />
                <asp:TextBox ID="txtIPNData" runat="server" Height="99px" ReadOnly="True" 
                    TextMode="MultiLine" Width="445px"></asp:TextBox>
                <br />
                <asp:Label ID="lblIPNReadStatus" runat="server"></asp:Label>
                <br />
            </asp:View>
            <asp:View ID="ViewPaymentCancelled" runat="server">
                <asp:Label ID="lblHelloName" runat="server" Font-Size="XX-Large" 
                    Text="Hello !!"></asp:Label>
                <br />
                <br />
                <asp:Label ID="Label6" runat="server" Font-Size="XX-Large" Text="Your payment was cancelled."></asp:Label>
                <br />
            </asp:View>
        </asp:MultiView>
    </form>
</body>
</html>
