﻿using System.Web.Mvc;

namespace Test_Mvc_Web.Controllers
{
    public class GeneratingEWPController : Controller
    {
        //
        // GET: /GeneratingEWP/

        public ActionResult Index()
        {
            ViewData["Item Name"] = "Beautiful Landscape";
            ViewData["Quantity"] = 2;
            ViewData["Price"] = 4.32;
            return View();
        }

        /// <summary>
        /// Updates the quantity.
        /// </summary>
        /// <param name="quantity">The quantity.</param>
        /// <param name="itemName">Name of the item.</param>
        /// <param name="price">The price.</param>
        /// <returns></returns>
        [HttpPost]
        public ActionResult UpdateQuantity(int quantity, string itemName, decimal price)
        {
            ViewData["Quantity"] = quantity;
            ViewData["Item Name"] = itemName;
            ViewData["Price"] = price;
            return View("Index");
        }
    }
}
