﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="SpiceLogic.PayPalCtrlForWPS.Controls" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Index
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Welcome to SpiceLogic book store.</h2> 
 
    This sample application will show you how you can use Add to Cart button control to upload a single item to
    PayPal hosted shopping cart. Here is a table which shows a list of eBooks read from an XML file stored in App_Data folder. 
        <%
   
        string eBookXmlFile = HttpContext.Current.Request.MapPath("~/App_Data/eBooks.xml");
        if(!System.IO.File.Exists(eBookXmlFile))
        {%>
             The eBook Xml file does not exist
        <%}   
        else
        {
            %>
            <br /><br />
             <table style="background-color:White;border-color:#E7E7FF;border-width:1px;border-style:None;width:489px;border-collapse:collapse;">
		     <tr style="background-color:#4A3C8C;font-weight:bold;">
		    	<th scope="col">title</th><th scope="col">author</th><th scope="col">price</th><th></th>
		    </tr>
          <%

            XmlDocument myXmlDoc = new XmlDocument();
            myXmlDoc.Load(eBookXmlFile);
            XmlNodeList bookNodes = myXmlDoc.SelectNodes("/eBooks/book");
            if (bookNodes != null)
            {
                AddToCartButton myButton = new AddToCartButton
                {
                    BusinessEmailOrMerchantID = "7VYHPUUWHHTLA",
                };

                myButton.PayPalFormSubmission.PostDestination =
                    FormSubmissionSettings.PostActionDestinations.PayPal_Sandbox;

                myButton.PayPalIPN.Custom_IPN_Url = "~/AddToCart/HandleIPN";
                myButton.PayPalReturn.Custom_CompletedReturnURL = "~/AddToCart/PayPalReturned";

                foreach(XmlNode aNode in bookNodes)
                {
                    if (aNode.Attributes != null)
                    {
                        string id = aNode.Attributes["id"].Value;
                        string title = aNode.Attributes["title"].Value;
                        string author = aNode.Attributes["author"].Value;
                        string price = aNode.Attributes["price"].Value;
                        
                        %>
                            <tr style="color:#4A3C8C;background-color:#E7E7FF;">
                               <td><%= title %></td><td><%= author %></td><td><%= price %></td>
                               <td>
                               
                               <%
                                   myButton.ItemName = title;
                                   myButton.ItemNumber = id;
                                   myButton.Amount = decimal.Parse(price);
                               %>
                                   <%= myButton.RenderForMVC()%> 
                        
                               </td>
                            </tr>
                        <%
                    }
                }
            }
           %>
	    </table>
         <br />
             <%
                 ViewCartButton myViewCartButton = new ViewCartButton
                 {
                     BusinessEmailOrMerchantID = "7VYHPUUWHHTLA",
                     Destination = ViewCartButton.Destinations.PayPal_Sandbox
                 };
%>
            <%= myViewCartButton.RenderForMVC() %>
        <%
        }
    %>

     <p>Trial version works only with PayPal SANDBOX. Once License Key is applied, it 
                    will work with Live PayPal site or any URL of your choice..
                    <br />
        Before starting to test this website, visit 
         <a target="_blank" href="https://developer.paypal.com">https://developer.paypal.com</a>
                     
                    &nbsp;this page and login to your Developer Central Account.
                    <br />
         If you do not have any account with PayPal Developer Central, please create an 
         account.
                    </p>
</asp:Content>
