﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>
<%@ Import Namespace="SpiceLogic.PayPalCtrlForWPS.Controls" %>
<%@ Import Namespace="System.Drawing" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Index
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Welcome to SpiceLogic Showroom for Landscapes.</h2>
    <p>
        <img alt="" src="<%= Url.Content("~/Content/images/Landscape_demo.jpg") %>" /></p>
       <p>
       <%
   
        BuyNowButton myBuyNowButton = new BuyNowButton
        {
            BusinessEmailOrMerchantID = "spicelogic@spicelogic.com",
            ItemName = ViewData["Item Name"].ToString(),
            ItemNumber = "Scenery 123",
            Quantity = Convert.ToInt32(ViewData["Quantity"]),
            Amount = Convert.ToDecimal(ViewData["Price"]),
            DiscountRate = 55
        };

        myBuyNowButton.PayPalFormSubmission.PostDestination = 
            FormSubmissionSettings.PostActionDestinations.PayPal_Sandbox;

        myBuyNowButton.PayPalIPN.Custom_IPN_Url = "~/SellingSingleItem/HandleIPN";
        myBuyNowButton.PayPalReturn.Custom_CompletedReturnURL = "~/SellingSingleItem/PayPalReturned";

        myBuyNowButton.PayPalDisplayPage.ShippingAddress =
            PayPalDisplayPageSettings.ShippingAddressOptions.ShippingAddressOptional;
        myBuyNowButton.PayPalDisplayPage.HeaderBorderColor = Color.Red;
        myBuyNowButton.PayPalDisplayPage.HeaderBgColor = Color.LightYellow;
        myBuyNowButton.PayPalDisplayPage.PayFlowBgColor = Color.LightSteelBlue;
        myBuyNowButton.PayPalDisplayPage.HeaderImageURL = "~/Content/images/SpiceLogicBanner.jpg";
        
        myBuyNowButton.AdditionalDataItems["Customer's Name"] = "James Paul";              
    %>
    
       <%= myBuyNowButton.RenderForMVC() %>
</p>

    <p>
       <%
           
           using (Html.BeginForm("UpdateQuantity", "SellingSingleItem", FormMethod.Post))
           {
       %>
              <%= Html.Hidden("itemName", myBuyNowButton.ItemName)%>   
              <%= Html.Hidden("price", myBuyNowButton.Amount)%>
            
            Enter Quantity : <%= Html.TextBox("quantity") %> <input id="Submit1" type="submit" value="Update" />
      <%
          }     
      %>
   </p>

    <p>Trial version works only with PayPal SANDBOX. Once License Key is applied, it 
                    will work with Live PayPal site or any URL of your choice..
                    <br />
        Before starting to test this website, visit 
                    <a target="_blank" href="https://developer.paypal.com">https://developer.paypal.com</a>
                     
                    &nbsp;this page and login to your Developer Central Account.
                    <br />
        If you do not have any account with PayPal Developer Central, please create an 
        account.
                    </p>
 </asp:Content>
