﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>
<%@ Import Namespace="SpiceLogic.PayPalCtrlForWPS.Controls" %>
<%@ Import Namespace="System.Drawing" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Index
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
 <h2>Welcome to SpiceLogic Journal. Please subscribe to get your regular articles.</h2> 
      <p>
       <%
           SubscriptionButton mySubscriptionButton = new SubscriptionButton
           {
                BusinessEmailOrMerchantID = "7VYHPUUWHHTLA",
                SubscriptionName = "SpiceLogic Article Subscriptions",
                SubscriptionNumber = "Spice Art 37",
                RegularRate = 9.3m,
                BillingCycle = 3,
                BillingCycleUnit = PeriodUnit.Weeks,
                RecurringTimes = 2,
                TrialAmount1 = 7.3m,
                TrialPeriod1 = 2,
                TrialPeriod1Unit = PeriodUnit.Days,
                TrialAmount2 = 6.7m,
                TrialPeriod2 = 4,
                TrialPeriod2Unit = PeriodUnit.Months
           };

           mySubscriptionButton.PayPalFormSubmission.PostDestination = 
            FormSubmissionSettings.PostActionDestinations.PayPal_Sandbox;

           mySubscriptionButton.PayPalIPN.Custom_IPN_Url = "~/Subscription/HandleIPN";
           mySubscriptionButton.PayPalReturn.Custom_CompletedReturnURL = "~/Subscription/PayPalReturned";

           mySubscriptionButton.PayPalDisplayPage.ShippingAddress =
            PayPalDisplayPageSettings.ShippingAddressOptions.ShippingAddressOptional;
           mySubscriptionButton.PayPalDisplayPage.HeaderBorderColor = Color.Red;
           mySubscriptionButton.PayPalDisplayPage.HeaderBgColor = Color.LightYellow;
           mySubscriptionButton.PayPalDisplayPage.PayFlowBgColor = Color.LightSteelBlue;
           mySubscriptionButton.PayPalDisplayPage.HeaderImageURL = "~/Content/images/SpiceLogicBanner.jpg";

           mySubscriptionButton.AdditionalDataItems["Customer's Name"] = "James Paul";              
    %>
    
       <%= mySubscriptionButton.RenderForMVC()%>

       <%
    CancelSubscriptionButton myCancelButton = new CancelSubscriptionButton
    {
        BusinessEmailOrMerchantID = "7VYHPUUWHHTLA",
        Destination =
            CancelSubscriptionButton.Destinations.PayPal_Sandbox
    };
 %>
 <br />
<%= myCancelButton.RenderForMVC() %>
</p>
    <p>Trial version works only with PayPal SANDBOX. Once License Key is applied, it 
                    will work with Live PayPal site or any URL of your choice..
                    <br />
        Before starting to test this website, visit 
                    <a target="_blank" href="https://developer.paypal.com">https://developer.paypal.com</a>
                     
                    &nbsp;this page and login to your Developer Central Account.
                    <br />
        If you do not have any account with PayPal Developer Central, please create an 
        account.
                    </p>
</asp:Content>
