﻿<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
<%@ Import Namespace="System.Xml" %>
<%@ Import Namespace="SpiceLogic.PayPalCtrlForWPS.Controls" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Index
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2>Welcome to SpiceLogic book store.</h2> 
 
    This sample application will show you how you can use Add to Cart button control to upload a single item to
    PayPal hosted shopping cart. Here is a table which shows a list of eBooks read from an XML file stored in App_Data folder. 
        <%
   
            Dim eBookXmlFile As String = HttpContext.Current.Request.MapPath("~/App_Data/eBooks.xml")

            If Not IO.File.Exists(eBookXmlFile) Then
          
         %>
             The eBook Xml file does not exist
        <%
             
        Else
       
            %>
            <br /><br />
             <table style="background-color:White;border-color:#E7E7FF;border-width:1px;border-style:None;width:489px;border-collapse:collapse;">
		     <tr style="background-color:#4A3C8C;font-weight:bold;">
		    	<th scope="col">title</th><th scope="col">author</th><th scope="col">price</th><th></th>
		    </tr>
          <%

              Dim myXmlDoc As New XmlDocument()
              myXmlDoc.Load(eBookXmlFile)
              Dim bookNodes As XmlNodeList = myXmlDoc.SelectNodes("/eBooks/book")
              If bookNodes IsNot Nothing Then
             
             
                  Dim myButton As New AddToCartButton() With { _
                   .BusinessEmailOrMerchantID = "7VYHPUUWHHTLA" _
                   }

                  myButton.PayPalFormSubmission.PostDestination = FormSubmissionSettings.PostActionDestinations.PayPal_Sandbox

                  myButton.PayPalIPN.Custom_IPN_Url = "~/AddToCart/HandleIPN"
                  myButton.PayPalReturn.Custom_CompletedReturnURL = "~/AddToCart/PayPalReturned"

                  For Each aNode As XmlNode In bookNodes
                      If aNode.Attributes IsNot Nothing Then
                   
                          Dim id As String = aNode.Attributes("id").Value
                          Dim title As String = aNode.Attributes("title").Value
                          Dim author As String = aNode.Attributes("author").Value
                          Dim price As String = aNode.Attributes("price").Value
                        
                        %>
                            <tr style="color:#4A3C8C;background-color:#E7E7FF;">
                               <td><%= title %></td><td><%= author %></td><td><%= price %></td>
                               <td>
                               
                               <%
                                   myButton.ItemName = title
                                   myButton.ItemNumber = id
                                   myButton.Amount = Decimal.Parse(price)
                               %>
                                   <%= myButton.RenderForMVC()%> 
                        
                               </td>
                            </tr>
                        <%
                        End If
                        
                    Next
                    End If
           %>
	    </table>
         <br />
             <%
                 Dim theViewCartButton As New ViewCartButton() With { _
                   .BusinessEmailOrMerchantID = "7VYHPUUWHHTLA", _
                   .Destination = ViewCartButton.Destinations.PayPal_Sandbox _
                 }
%>
           <% Response.Write(theViewCartButton.RenderForMVC())%>
        <%
        End If
    %>

     <p>Trial version works only with PayPal SANDBOX. Once License Key is applied, it 
                    will work with Live PayPal site or any URL of your choice..
                    <br />
        Before starting to test this website, visit 
                    <a target="_blank" href="https://developer.paypal.com">https://developer.paypal.com</a>
                     
                    &nbsp;this page and login to your Developer Central Account.
                    <br />
         If you do not have any account with PayPal Developer Central, please create an 
         account.
                    </p>
</asp:Content>
