﻿<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="SpiceLogic.PayPalCtrlForWPS.Controls" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Index
</asp:Content>
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Welcome to SpiceLogic Landscape showroom.</h2>The following button is for testing a single item in Encrypted mode. 
    We have created a set of test certificates 
    for you. These credentials will work only for one of our sandbox account "spicelogic@spicelogic.com". So, if you change the
     BusinessEmailOrMerchantID then you should generate your own certificates and test accordingly. You can generate your 
     certificates using the FREE tool we provided with this product. Please check the Start Menu -> (our product name) -> Certificate Generator.
    In order to learn about generating EWP, please visit our online documentation at <a href="http://documentation.spicelogic.com/docs/ASP-NET-PayPal-Control/Getting-Started-21">http://documentation.spicelogic.com/docs/ASP-NET-PayPal-Control/Getting-Started-21</a>
    <br />
    <br />
      <p>
       <%
   
          Dim myBuyNowButton As New BuyNowButton() With { _
            .BusinessEmailOrMerchantID = "spicelogic@spicelogic.com", _
            .ItemName = ViewData("Item Name").ToString(), _
            .ItemNumber = "Scenery 123", _
            .Quantity = Convert.ToInt32(ViewData("Quantity")), _
            .Amount = Convert.ToDecimal(ViewData("Price")), _
            .DiscountRate = 55 _
           }

           myBuyNowButton.PayPalFormSubmission.PostDestination = FormSubmissionSettings.PostActionDestinations.PayPal_Sandbox

           myBuyNowButton.PayPalDisplayPage.ShippingAddress = PayPalDisplayPageSettings.ShippingAddressOptions.ShippingAddressOptional
           myBuyNowButton.PayPalDisplayPage.HeaderBorderColor = Color.Red
           myBuyNowButton.PayPalDisplayPage.HeaderBgColor = Color.LightYellow
           myBuyNowButton.PayPalDisplayPage.PayFlowBgColor = Color.LightSteelBlue
           myBuyNowButton.PayPalDisplayPage.HeaderImageURL = "~/Content/images/SpiceLogicBanner.jpg"

           myBuyNowButton.GenerateEncryptedButton = True
           myBuyNowButton.EncryptedButtonGeneration.CertificateId = "45GA3BENSYUWE"
           myBuyNowButton.EncryptedButtonGeneration.PKCS12Password = "1234"
           myBuyNowButton.EncryptedButtonGeneration.PayPalCertPath = "~/App_Data/paypal_cert_pem.txt"
           myBuyNowButton.EncryptedButtonGeneration.PKCS12CertPath = "~/App_Data/myPkcs.p12"

           myBuyNowButton.AdditionalDataItems("Customer's Name") = "James Paul"%>
    
       <%= myBuyNowButton.RenderForMVC() %>
</p>

    <p>
       <%
           Using Html.BeginForm("UpdateQuantity", "GeneratingEWP", FormMethod.Post)
        %>
              <%= Html.Hidden("itemName", myBuyNowButton.ItemName)%>   
              <%= Html.Hidden("price", myBuyNowButton.Amount)%>
            
            Enter Quantity : <%= Html.TextBox("quantity") %> <input id="Submit1" type="submit" value="Update" />
      <%
      End Using
      %>
   </p>
</asp:Content>
