﻿<%@ Page Title="" Language="VB" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
<%@ Import Namespace="System.Drawing" %>
<%@ Import Namespace="SpiceLogic.PayPalCtrlForWPS.Controls" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Index
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
 <h2>Welcome to SpiceLogic Journal. Please subscribe to get your regular articles.</h2> 
      <p>
       <%
           Dim mySubscriptionButton As New SubscriptionButton() With { _
            .BusinessEmailOrMerchantID = "7VYHPUUWHHTLA", _
            .SubscriptionName = "SpiceLogic Article Subscriptions", _
            .SubscriptionNumber = "Spice Art 37", _
            .RegularRate = 9.3D, _
            .BillingCycle = 3, _
            .BillingCycleUnit = PeriodUnit.Weeks, _
            .RecurringTimes = 2, _
            .TrialAmount1 = 7.3D, _
            .TrialPeriod1 = 2, _
            .TrialPeriod1Unit = PeriodUnit.Days, _
            .TrialAmount2 = 6.7D, _
            .TrialPeriod2 = 4, _
            .TrialPeriod2Unit = PeriodUnit.Months _
           }

           mySubscriptionButton.PayPalFormSubmission.PostDestination = FormSubmissionSettings.PostActionDestinations.PayPal_Sandbox

           mySubscriptionButton.PayPalIPN.Custom_IPN_Url = "~/Subscription/HandleIPN"
           mySubscriptionButton.PayPalReturn.Custom_CompletedReturnURL = "~/Subscription/PayPalReturned"

           mySubscriptionButton.PayPalDisplayPage.ShippingAddress = PayPalDisplayPageSettings.ShippingAddressOptions.ShippingAddressOptional
           mySubscriptionButton.PayPalDisplayPage.HeaderBorderColor = Color.Red
           mySubscriptionButton.PayPalDisplayPage.HeaderBgColor = Color.LightYellow
           mySubscriptionButton.PayPalDisplayPage.PayFlowBgColor = Color.LightSteelBlue
           mySubscriptionButton.PayPalDisplayPage.HeaderImageURL = "~/Content/images/SpiceLogicBanner.jpg"

           mySubscriptionButton.AdditionalDataItems("Customer's Name") = "James Paul"
    %>
    
       <%= mySubscriptionButton.RenderForMVC()%>

       <%
           Dim myCancelButton As New CancelSubscriptionButton() With { _
            .BusinessEmailOrMerchantID = "7VYHPUUWHHTLA", _
            .Destination = CancelSubscriptionButton.Destinations.PayPal_Sandbox _
           }
 %>
 <br />
<%= myCancelButton.RenderForMVC() %>
</p>
    <p>Trial version works only with PayPal SANDBOX. Once License Key is applied, it 
                    will work with Live PayPal site or any URL of your choice..
                    <br />
        Before starting to test this website, visit 
                    <a target="_blank" href="https://developer.paypal.com">https://developer.paypal.com</a>
                     
                    &nbsp;this page and login to your Developer Central Account.
                    <br />
        If you do not have any account with PayPal Developer Central, please create an 
        account.
                    </p>
</asp:Content>
