﻿<%@ Page Language="VB" AutoEventWireup="true" CodeFile="AddToCart_IpnHandler.aspx.vb" Inherits="AddToCart_IpnHandler" %>
<%@ Register Assembly="SpiceLogicPayPalStd" Namespace="SpiceLogic.PayPalCtrlForWPS.Controls"
    TagPrefix="cc2" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <cc2:IPNHandler ID="IPNHandler1" runat="server" 
            onipn_notified="IPNHandler1_IPN_Notified" 
            NotifyValidateDestination="PayPal_Sandbox" 
            onipn_exception="IPNHandler1_IPN_Exception"></cc2:IPNHandler>
        <br />
        <br />
        Please note: This page is used to host the IPN Notified logic for the Add To 
        Cart Button used in this project. If you handle the IPN_Notified event of your 
        Payment Button (i.e. Buy Now Button, Donation Buttion, Subscription Button, 
        Upload Complete Cart Button) then you really do not need to use IPNHandler 
        Component at all. This component is useful when you want to practice mediator 
        design pattern like using a common place for hosting all PaymentButton&#39;s IPN 
        notified related logic of your web application. Please visit the following 
        documentation link for learning details about this component.<br />
        <br />
        <asp:HyperLink ID="HyperLink1" runat="server" Font-Names="Verdana" 
            
            NavigateUrl="http://documentation.spicelogic.com/docs/ASP-NET-PayPal-Control/IPN-Handler-19">Documentation 
        : IPNHandler Component</asp:HyperLink>
    </div>
    </form>
</body>
</html>
